import { Field, InputType } from '@nestjs/graphql';
import { GraphQLInt } from 'graphql/type';

@InputType()
export class AgentInputModel {
	@Field()
	name: string;

	@Field()
	slug: string;

	@Field({ nullable: true })
	avatar?: string;

	@Field({ nullable: true })
	bio?: string;

	@Field(() => GraphQLInt)
	flags: number;
}
